
Redmine - Defect #2759

Nil Class Error with issuescontroller.rb & Patch

2009-02-16 09:48 - Rakesh Pathak

Status: Closed Start date: 2009-02-16

Priority: High Due date: 2009-02-18

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hi Team,

I receive the following output when I attempt to select a different tracker as opposed to the default one that is chosen when the "New

Issue" page loads:

Processing IssuesController#new (for 192.168.0.3 at 2009-02-16 18:40:39) [POST]

  Session ID: 2321442a5e845b542a9d2d46f2985b53

  Parameters: {"commit"=>"Create", "project_id"=>"mw-no", "action"=>"new", "issue"=>{"custom_multi

_values"=>{"6"=>[""]}, "start_date"=>"2009-02-16", "estimated_hours"=>"", "priority_id"=>"4", "don

e_ratio"=>"0", "assigned_to_id"=>"", "subject"=>"", "category_id"=>"", "tracker_id"=>"4", "due_dat

e"=>"", "status_id"=>"1", "description"=>""}, "controller"=>"issues", "attachments"=>{"1"=>{"descr

iption"=>"", "file"=>""}}}

NoMethodError (undefined method `custom_field' for nil:NilClass):

    /vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:86:in `custom_multi_values='

    /vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:76:in `each'

    /vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:76:in `custom_multi_values='

    /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:2372:in `send'

    /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:2372:in `attrib

utes='

    /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:2371:in `each'

    /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:2371:in `attrib

utes='

    /app/controllers/issues_controller.rb:129:in `new'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `send

'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `perf

orm_action_without_filters'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in `ca

ll_filters'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in `pe

rform_action_without_benchmark'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in

 `perform_action_without_rescue'

    /usr/local/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in

 `perform_action_without_rescue'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in `per

form_action_without_caching'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:

13:in `perform_action'

    /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abs

tract/query_cache.rb:33:in `cache'

    /usr/local/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `ca

che'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:

12:in `perform_action'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `proce

ss_without_filters'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `pr
ocess_without_session_management_support'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb

:130:in `process'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `proce

ss'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in 

`handle_request'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in 

`dispatch'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in 

`synchronize'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in 

`dispatch'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in 

`dispatch_cgi'

    /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `

dispatch'

    /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/webrick_server.rb:112:in `handle_dispatch'

    /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/webrick_server.rb:78:in `service'

    /usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:37:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

    /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/webrick_server.rb:62:in `dispatch'

    /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/commands/servers/webrick.rb:66

    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:i

n `require'

    /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:355:i

n `new_constants_in'

    /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:i

n `require'

    /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/commands/server.rb:39

    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    script/server:3

 I believe this is an issue with the following #2625 as I applied the patches and was attempting to have custom list boxes working.

I have two different custom fields setup which are list boxes and allow the user to select more than one item. I have three trackers.

2 of the trackers use custom field #1, and the last tracker uses custom field #2.

When I load the New Issue page everything works correctly and I am able to access both the trackers that have custom field #1 set.

If I attempt to select the third tracker, a 500 error occurs with the output above.

I have also looked at the following link:  http://www.redmine.org/repositories/revision/1/1317

However I was not able to fix the issue with this.

Any help would be greatly appreciated as we are using this system in production and being unable to add items is painful!

Thank you very much in advance.

Related issues:

Related to Redmine - Feature #1189: Multiselect custom fields Closed 2008-05-06

History

#1 - 2009-02-16 09:51 - Rakesh Pathak
https://www.redmine.org/issues/2625
https://www.redmine.org/issues/1
https://www.redmine.org/issues/2
https://www.redmine.org/issues/1
http://www.redmine.org/repositories/revision/1/1317


I apologize for the typo - not #2625 but rather #1189

#2 - 2009-02-16 09:52 - Rakesh Pathak

- Assignee set to Jean-Baptiste Barth

#3 - 2009-02-19 19:41 - Jean-Philippe Lang

- Status changed from New to Closed

Please, do not open tickets related to patches that were not committed.

You can relate your problem in #1189.
